package de.ozgcloud.nachrichten.info;

import jakarta.validation.constraints.NotEmpty;

import org.springframework.boot.autoconfigure.condition.ConditionalOnProperty;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;
import org.springframework.validation.annotation.Validated;

import de.ozgcloud.nachrichten.antragraum.AntragraumProperties;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
@Configuration
@ConfigurationProperties(prefix = "grpc.client.info-manager")
@ConditionalOnProperty(AntragraumProperties.PROPERTY_ANTRAGSRAUM_URL)
@Validated
public class InfomanagerProperties {

	@NotEmpty
	private String address;

}
