package de.ozgcloud.nachrichten.postfach.bayernid;

import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.Pattern;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Getter;

@Getter
@Builder
@AllArgsConstructor
class Absender {
	@Pattern(regexp = "[a-fA-F0-9]{8}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{12}")
	private String postkorbId;
	@NotBlank
	private String name;
	private String anschrift;
	@NotBlank
	private String dienst;
	@NotBlank
	private String mandant;
	private String gemeindeSchluessel;
}
